Skip to main content
POST
/
legal_entities
/
{legalEntityId}
/
vaults
TypeScript
const response: Promise<FireblocksResponse<AssignVaultsToLegalEntityResponse>> = fireblocks.compliance.assignVaultsToLegalEntity(complianceApiAssignVaultsToLegalEntityRequest);
{
  "assignedCount": 3
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

The unique ID of the legal entity registration

Body

application/json

Request body to assign vault accounts to a legal entity

vaultAccountIds
string[]
required

List of vault account IDs to assign to the legal entity

Minimum array length: 1
Example:
["0", "1", "2"]

Response

Vault accounts assigned successfully

Response after assigning vault accounts to a legal entity

assignedCount
integer
required

Number of vault accounts successfully assigned

Example:

3